## python-sphinxcontrib.apidoc 0.2.1

=== requirements.txt ===
pbr
Sphinx>=1.6.0

=== debian/changelog ===
python-sphinxcontrib.apidoc (0.2.1-2~nd20.10+1) groovy; urgency=medium

  * Backported for groovy.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Fri, 11 Dec 2020 18:07:12 -0500

python-sphinxcontrib.apidoc (0.2.1-2) unstable; urgency=medium

  * Point the VCS to OpenStack team.
  * Point homepage and source to correct VCS upstream.
  * Removed "Commands not to run" in debian/rules.

 -- Thomas Goirand <zigo@debian.org>  Mon, 20 Aug 2018 16:05:04 +0200

python-sphinxcontrib.apidoc (0.2.1-1) unstable; urgency=medium

  * Initial release. (Closes: #906613)

 -- Thomas Goirand <zigo@debian.org>  Sat, 18 Aug 2018 23:02:04 +0200

=== debian/control ===
Source: python-sphinxcontrib.apidoc
Section: python
Priority: optional
Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
X-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-pytest,
Standards-Version: 4.1.5
Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-sphinxcontrib.apidoc
Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-sphinxcontrib.apidoc.git
Homepage: https://github.com/sphinx-contrib/apidoc

Package: python3-sphinxcontrib.apidoc
Architecture: all
Depends: neurodebian-popularity-contest, 
 python3-pbr,
 ${misc:Depends},
 ${python3:Depends},
Description: Sphinx extension for running 'sphinx-apidoc' on each build - Python 3.x
 sphinx-apidoc is a tool for automatic generation of Sphinx sources that, using
 the autodoc sphinx_autodoc extension, documents a whole package in the style
 of other automatic API documentation tools. sphinx-apidoc does not actually
 build documentation - rather it simply generates it. As a result, it must be
 run before sphinx-build.
 .
 This package contains the Python 3.x module.

## python-sphinxcontrib.apidoc 0.3.0

=== debian/changelog ===
python-sphinxcontrib.apidoc (0.3.0-6) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090617).

 -- Thomas Goirand <zigo@debian.org>  Fri, 20 Dec 2024 10:11:43 +0100

python-sphinxcontrib.apidoc (0.3.0-5) unstable; urgency=medium

  * Add fix_tests_with_Sphinx_7.2.patch (Closes: #1057600).

 -- Thomas Goirand <zigo@debian.org>  Tue, 12 Dec 2023 14:05:18 +0100

python-sphinxcontrib.apidoc (0.3.0-4) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.1.

  [ Thomas Goirand ]
  * Cleans better (Closes: #1046499).
  * Use debhelper-compat 11.

 -- Thomas Goirand <zigo@debian.org>  Fri, 18 Aug 2023 00:37:11 +0200

python-sphinxcontrib.apidoc (0.3.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 17 Jul 2019 00:23:54 +0200

python-sphinxcontrib.apidoc (0.3.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ Thomas Goirand ]
  * New upstream release.
  * Standards-Version: 4.3.0 (no change).

 -- Thomas Goirand <zigo@debian.org>  Tue, 26 Mar 2019 21:45:50 +0100

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/sphinx-contrib/apidoc.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=pybuild --with python3

override_dh_auto_clean:
	rm -rf build .stestr .pytest_cache *.egg-info
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

override_dh_auto_build:
	echo "Nothing here..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	set -e ; for pyvers in $(PYTHON3S); do \
		PYTHONPATH=. PYTHON=python$$pyvers python$$pyvers -m pytest tests ; \
	done
endif

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/sphinxcontrib-apidoc/sphinxcontrib-apidoc-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-sphinxcontrib.apidoc 0.6.0

=== requirements.txt ===
pbr
Sphinx>=5.0.0

=== debian/changelog ===
python-sphinxcontrib.apidoc (0.6.0-3) unstable; urgency=medium

  * Cleans better (Closes: #1046499).

 -- Thomas Goirand <zigo@debian.org>  Mon, 09 Feb 2026 19:00:48 +0100

python-sphinxcontrib.apidoc (0.6.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Sep 2025 13:22:36 +0200

python-sphinxcontrib.apidoc (0.6.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed fix_tests_with_Sphinx_7.2.patch.

 -- Thomas Goirand <zigo@debian.org>  Tue, 26 Aug 2025 14:23:40 +0200

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 	dh $@ --buildsystem=pybuild --with python3
 
 override_dh_auto_clean:
-	rm -rf build .stestr .pytest_cache *.egg-info
+	rm -rf build .stestr .pytest_cache *.egg-info .pybuild
 	find . -iname '*.pyc' -delete
 	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done
